View Issue Details

IDProjectCategoryView StatusLast Update
0001296bareos-core[All Projects] directorpublic2021-06-10 10:34
ReporterprogseregaAssigned Toarogge 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionno change required 
PlatformLinuxOSDebianOS Version10
Product Version20.0.0 
Fixed in Version 
Summary0001296: can not mount tape volume
Description1. I setup HPE MSL 3040 tape library.
2. btape success all test
3. but jobs freeze with status:

02-янв 12:10 bareos-dir JobId 29: shell command: run BeforeJob "/usr/lib/bareos/scripts/make_catalog_backup.pl MyCatalog"
02-янв 12:10 bareos-dir JobId 29: Start Backup JobId 29, Job=BackupCatalog.2021-01-02_12.10.54_20
02-янв 12:10 bareos-dir JobId 29: Connected Storage daemon at 10.75.232.210:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
02-янв 12:10 bareos-dir JobId 29: Using Device "Msl-Drive-1" to write.
02-янв 12:10 bareos-dir JobId 29: Connected Client: bareos-fd at localhost:9102, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
02-янв 12:10 bareos-dir JobId 29: Handshake: Immediate TLS
02-янв 12:10 bareos-dir.rs.int-fd JobId 29: Connected Storage daemon at 10.75.232.210:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
02-янв 12:10 bareos-dir.rs.int-fd JobId 29: Extended attribute support is enabled
02-янв 12:10 bareos-dir.rs.int-fd JobId 29: ACL support is enabled
02-янв 12:10 MslStorage JobId 29: 3301 Issuing autochanger "loaded? drive 0" command.
02-янв 12:10 MslStorage JobId 29: 3302 Autochanger "loaded? drive 0", result: nothing loaded.
02-янв 12:10 MslStorage JobId 29: 3301 Issuing autochanger "loaded? drive 0" command.
02-янв 12:10 MslStorage JobId 29: 3302 Autochanger "loaded? drive 0", result: nothing loaded.
02-янв 12:10 MslStorage JobId 29: 3301 Issuing autochanger "loaded? drive 1" command.
02-янв 12:10 MslStorage JobId 29: 3302 Autochanger "loaded? drive 1", result: nothing loaded.
02-янв 12:10 MslStorage JobId 29: 3304 Issuing autochanger "load slot 2, drive 0" command.
02-янв 12:11 MslStorage JobId 29: 3305 Autochanger "load slot 2, drive 0", status is OK.
02-янв 12:11 MslStorage JobId 29: Please mount append Volume "AJM284L8" or label a new one for:
    Job: BackupCatalog.2021-01-02_12.10.54_20
    Storage: "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
    Pool: mslPool
    Media type: LTO-8
*

bareos-sd debugs logs:
02-янв-2021 12:11:32.833471 MslStorage (100): stored/autochanger.cc:264-29 load slot 2, drive 0, status is OK.
02-янв-2021 12:11:32.833500 MslStorage (100): stored/autochanger.cc:290-29 load slot 2 status=0
02-янв-2021 12:11:32.833515 MslStorage (200): stored/autochanger.cc:441-29 Unlocking changer msl3040ch1
02-янв-2021 12:11:32.833524 MslStorage (100): stored/autochanger.cc:297-29 After changer, status=0
02-янв-2021 12:11:32.833531 MslStorage (150): stored/mount.cc:205-29 autoLoadDev returns 1
02-янв-2021 12:11:32.833537 MslStorage (150): stored/mount.cc:240-29 want vol=AJM284L8 devvol= dev="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:32.833545 MslStorage (100): stored/dev.cc:619-29 open dev: type=2 dev_name="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) vol=AJM284L8 mode=OPEN_READ_WRITE
02-янв-2021 12:11:32.833552 MslStorage (100): stored/dev.cc:638-29 call OpenDevice mode=OPEN_READ_WRITE
02-янв-2021 12:11:32.833560 MslStorage (190): stored/dev.cc:1071-29 Enter mount
02-янв-2021 12:11:32.833568 MslStorage (100): backends/generic_tape_device.cc:58-29 Open dev: device is tape
02-янв-2021 12:11:32.833576 MslStorage (100): backends/generic_tape_device.cc:67-29 Try open "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) mode=OPEN_READ_WRITE
02-янв-2021 12:11:32.835884 MslStorage (100): backends/generic_tape_device.cc:93-29 Rewind after open
02-янв-2021 12:11:32.856825 MslStorage (100): backends/generic_tape_device.cc:997-29 In SetOsDeviceParameters
02-янв-2021 12:11:32.856885 MslStorage (100): backends/generic_tape_device.cc:146-29 open dev: tape 6 opened
02-янв-2021 12:11:32.856909 MslStorage (100): stored/dev.cc:646-29 preserve=14065654506 fd=6
02-янв-2021 12:11:32.856947 MslStorage (100): stored/dev.cc:563-29 setting minblocksize to 64512, maxblocksize to label_block_size=64512, on device "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:32.856972 MslStorage (100): stored/label.cc:93-29 Enter ReadVolumeLabel res=1 device="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) vol=AJM284L8 dev_Vol=*NULL* max_blocksize=64512
02-янв-2021 12:11:32.862304 MslStorage (130): stored/label.cc:154-29 Big if statement in ReadVolumeLabel
02-янв-2021 12:11:34.042983 MslStorage (130): stored/label.cc:168-29 Could not UnSerialize Volume label: ERR=stored/label.cc:745 Expecting Volume Label, got FI=0 Stream=0 len=64412

02-янв-2021 12:11:34.043039 MslStorage (100): stored/label.cc:187-29 No volume label - bailing out
02-янв-2021 12:11:34.054159 MslStorage (150): stored/label.cc:303-29 return 3
02-янв-2021 12:11:34.054212 MslStorage (150): stored/mount.cc:462-29 Want dirVol=AJM284L8 dirStat=Append
02-янв-2021 12:11:34.054235 MslStorage (200): stored/mount.cc:567-29 VOL_NO_MEDIA or default.
02-янв-2021 12:11:34.054252 MslStorage (50): stored/mount.cc:290-29 SetUnload
02-янв-2021 12:11:34.054270 MslStorage (150): stored/mount.cc:292-29 goto mount_next_vol
02-янв-2021 12:11:34.054293 MslStorage (150): stored/mount.cc:98-29 mount_next_vol retry=1
02-янв-2021 12:11:34.054320 MslStorage (100): stored/mount.cc:674-29 No swap_dev set
02-янв-2021 12:11:34.054420 MslStorage (50): stored/askdir.cc:181-29 >dird CatReq Job=BackupCatalog.2021-01-02_12.10.54_20 GetVolInfo VolName=AJM284L8 write=1
02-янв-2021 12:11:34.055289 MslStorage (50): stored/askdir.cc:108-29 <dird 1000 OK VolName=AJM284L8 VolJobs=2 VolFiles=2 VolBlocks=4 VolBytes=322560 VolMounts=1 VolErrors=0 VolWrites=5 MaxVolBytes=32985348833280 VolCapacityBytes=0 VolStatus=Append Slot=2 MaxVolJobs=0 MaxVolFiles=0 InChanger=1 VolReadTime=0 VolWriteTime=62117 EndFile=1 EndBlock=1 LabelType=0 MediaId=2 EncryptionKey= MinBlocksize=0 MaxBlocksize=0
02-янв-2021 12:11:34.055312 MslStorage (50): stored/askdir.cc:143-29 DoGetVolumeInfo return true slot=2 Volume=AJM284L8, VolminBlocksize=0 VolMaxBlocksize=0
02-янв-2021 12:11:34.055319 MslStorage (50): stored/askdir.cc:146-29 setting dcr->VolMinBlocksize(0) to vol.VolMinBlocksize(0)
02-янв-2021 12:11:34.055325 MslStorage (50): stored/askdir.cc:149-29 setting dcr->VolMaxBlocksize(0) to vol.VolMaxBlocksize(0)
02-янв-2021 12:11:34.055332 MslStorage (150): stored/mount.cc:135-29 After find_next_append. Vol=AJM284L8 Slot=2
02-янв-2021 12:11:34.055338 MslStorage (100): stored/autochanger.cc:154-29 autoload: slot=2 InChgr=1 Vol=AJM284L8
02-янв-2021 12:11:34.055345 MslStorage (100): stored/autochanger.cc:297-29 After changer, status=0
02-янв-2021 12:11:34.055352 MslStorage (150): stored/mount.cc:205-29 autoLoadDev returns 1
02-янв-2021 12:11:34.055358 MslStorage (150): stored/mount.cc:240-29 want vol=AJM284L8 devvol= dev="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.055365 MslStorage (100): stored/dev.cc:563-29 setting minblocksize to 64512, maxblocksize to label_block_size=64512, on device "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.055372 MslStorage (100): stored/label.cc:93-29 Enter ReadVolumeLabel res=1 device="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) vol=AJM284L8 dev_Vol=*NULL* max_blocksize=64512
02-янв-2021 12:11:34.058864 MslStorage (130): stored/label.cc:154-29 Big if statement in ReadVolumeLabel
02-янв-2021 12:11:34.064178 MslStorage (130): stored/label.cc:168-29 Could not UnSerialize Volume label: ERR=stored/label.cc:745 Expecting Volume Label, got FI=0 Stream=0 len=64412

02-янв-2021 12:11:34.064218 MslStorage (100): stored/label.cc:187-29 No volume label - bailing out
02-янв-2021 12:11:34.076219 MslStorage (150): stored/label.cc:303-29 return 3
02-янв-2021 12:11:34.076262 MslStorage (150): stored/mount.cc:462-29 Want dirVol=AJM284L8 dirStat=Append
02-янв-2021 12:11:34.076281 MslStorage (200): stored/mount.cc:567-29 VOL_NO_MEDIA or default.
02-янв-2021 12:11:34.076298 MslStorage (50): stored/mount.cc:290-29 SetUnload
02-янв-2021 12:11:34.076314 MslStorage (150): stored/mount.cc:292-29 goto mount_next_vol
02-янв-2021 12:11:34.076331 MslStorage (150): stored/mount.cc:98-29 mount_next_vol retry=2
02-янв-2021 12:11:34.076348 MslStorage (100): stored/mount.cc:674-29 No swap_dev set
02-янв-2021 12:11:34.076468 MslStorage (50): stored/askdir.cc:181-29 >dird CatReq Job=BackupCatalog.2021-01-02_12.10.54_20 GetVolInfo VolName=AJM284L8 write=1
02-янв-2021 12:11:34.077064 MslStorage (50): stored/askdir.cc:108-29 <dird 1000 OK VolName=AJM284L8 VolJobs=2 VolFiles=2 VolBlocks=4 VolBytes=322560 VolMounts=1 VolErrors=0 VolWrites=5 MaxVolBytes=32985348833280 VolCapacityBytes=0 VolStatus=Append Slot=2 MaxVolJobs=0 MaxVolFiles=0 InChanger=1 VolReadTime=0 VolWriteTime=62117 EndFile=1 EndBlock=1 LabelType=0 MediaId=2 EncryptionKey= MinBlocksize=0 MaxBlocksize=0
02-янв-2021 12:11:34.077185 MslStorage (50): stored/askdir.cc:143-29 DoGetVolumeInfo return true slot=2 Volume=AJM284L8, VolminBlocksize=0 VolMaxBlocksize=0
02-янв-2021 12:11:34.077295 MslStorage (50): stored/askdir.cc:146-29 setting dcr->VolMinBlocksize(0) to vol.VolMinBlocksize(0)
02-янв-2021 12:11:34.077380 MslStorage (50): stored/askdir.cc:149-29 setting dcr->VolMaxBlocksize(0) to vol.VolMaxBlocksize(0)
02-янв-2021 12:11:34.077457 MslStorage (150): stored/mount.cc:135-29 After find_next_append. Vol=AJM284L8 Slot=2
02-янв-2021 12:11:34.077533 MslStorage (100): stored/autochanger.cc:154-29 autoload: slot=2 InChgr=1 Vol=AJM284L8
02-янв-2021 12:11:34.077609 MslStorage (100): stored/autochanger.cc:297-29 After changer, status=0
02-янв-2021 12:11:34.077684 MslStorage (150): stored/mount.cc:205-29 autoLoadDev returns 1
02-янв-2021 12:11:34.077760 MslStorage (150): stored/mount.cc:240-29 want vol=AJM284L8 devvol= dev="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.077837 MslStorage (100): stored/dev.cc:563-29 setting minblocksize to 64512, maxblocksize to label_block_size=64512, on device "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.077914 MslStorage (100): stored/label.cc:93-29 Enter ReadVolumeLabel res=1 device="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) vol=AJM284L8 dev_Vol=*NULL* max_blocksize=64512
02-янв-2021 12:11:34.080915 MslStorage (130): stored/label.cc:154-29 Big if statement in ReadVolumeLabel
02-янв-2021 12:11:34.086963 MslStorage (130): stored/label.cc:168-29 Could not UnSerialize Volume label: ERR=stored/label.cc:745 Expecting Volume Label, got FI=0 Stream=0 len=64412
02-янв-2021 12:11:34.087289 MslStorage (100): stored/label.cc:187-29 No volume label - bailing out
02-янв-2021 12:11:34.102340 MslStorage (150): stored/label.cc:303-29 return 3
02-янв-2021 12:11:34.102521 MslStorage (150): stored/mount.cc:462-29 Want dirVol=AJM284L8 dirStat=Append
02-янв-2021 12:11:34.102641 MslStorage (200): stored/mount.cc:567-29 VOL_NO_MEDIA or default.
02-янв-2021 12:11:34.102775 MslStorage (50): stored/mount.cc:290-29 SetUnload
02-янв-2021 12:11:34.102877 MslStorage (150): stored/mount.cc:292-29 goto mount_next_vol
02-янв-2021 12:11:34.102983 MslStorage (150): stored/mount.cc:98-29 mount_next_vol retry=3
02-янв-2021 12:11:34.103076 MslStorage (100): stored/mount.cc:674-29 No swap_dev set
02-янв-2021 12:11:34.103177 MslStorage (50): stored/askdir.cc:181-29 >dird CatReq Job=BackupCatalog.2021-01-02_12.10.54_20 GetVolInfo VolName=AJM284L8 write=1
02-янв-2021 12:11:34.103639 MslStorage (50): stored/askdir.cc:108-29 <dird 1000 OK VolName=AJM284L8 VolJobs=2 VolFiles=2 VolBlocks=4 VolBytes=322560 VolMounts=1 VolErrors=0 VolWrites=5 MaxVolBytes=32985348833280 VolCapacityBytes=0 VolStatus=Append Slot=2 MaxVolJobs=0 MaxVolFiles=0 InChanger=1 VolReadTime=0 VolWriteTime=62117 EndFile=1 EndBlock=1 LabelType=0 MediaId=2 EncryptionKey= MinBlocksize=0 MaxBlocksize=0
02-янв-2021 12:11:34.103695 MslStorage (50): stored/askdir.cc:143-29 DoGetVolumeInfo return true slot=2 Volume=AJM284L8, VolminBlocksize=0 VolMaxBlocksize=0
02-янв-2021 12:11:34.103708 MslStorage (50): stored/askdir.cc:146-29 setting dcr->VolMinBlocksize(0) to vol.VolMinBlocksize(0)
02-янв-2021 12:11:34.103738 MslStorage (50): stored/askdir.cc:149-29 setting dcr->VolMaxBlocksize(0) to vol.VolMaxBlocksize(0)
02-янв-2021 12:11:34.103767 MslStorage (150): stored/mount.cc:135-29 After find_next_append. Vol=AJM284L8 Slot=2
02-янв-2021 12:11:34.103781 MslStorage (100): stored/autochanger.cc:154-29 autoload: slot=2 InChgr=1 Vol=AJM284L8
02-янв-2021 12:11:34.103811 MslStorage (100): stored/autochanger.cc:297-29 After changer, status=0
02-янв-2021 12:11:34.103824 MslStorage (150): stored/mount.cc:205-29 autoLoadDev returns 1
02-янв-2021 12:11:34.103853 MslStorage (150): stored/mount.cc:240-29 want vol=AJM284L8 devvol= dev="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.103883 MslStorage (100): stored/dev.cc:563-29 setting minblocksize to 64512, maxblocksize to label_block_size=64512, on device "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7)
02-янв-2021 12:11:34.103897 MslStorage (100): stored/label.cc:93-29 Enter ReadVolumeLabel res=1 device="Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7) vol=AJM284L8 dev_Vol=*NULL* max_blocksize=64512
02-янв-2021 12:11:34.106989 MslStorage (130): stored/label.cc:154-29 Big if statement in ReadVolumeLabel
02-янв-2021 12:11:34.113402 MslStorage (130): stored/label.cc:168-29 Could not UnSerialize Volume label: ERR=stored/label.cc:745 Expecting Volume Label, got FI=0 Stream=0 len=64412

Volume AJM284L8 was success inserted in reader device by autochanger, but bareos dir not mount it automaticaly...

Volumes I success was added by label barcode:

*list volumes
Automatically selected Catalog: MyCatalog
Using Catalog "MyCatalog"
Pool: Scratch
No results to list.
Pool: mslManualPool
No results to list.
Pool: mslPool
+---------+------------+-----------+---------+----------+----------+--------------+---------+------+-----------+-----------+---------------------+-------------------+
| mediaid | volumename | volstatus | enabled | volbytes | volfiles | volretention | recycle | slot | inchanger | mediatype | lastwritten | storage |
+---------+------------+-----------+---------+----------+----------+--------------+---------+------+-----------+-----------+---------------------+-------------------+
| 1 | CLNU00L1 | Cleaning | 1 | 0 | 0 | 157,680,000 | 1 | 7 | 1 | | | MslStorageRobot01 |
| 2 | AJM284L8 | Append | 1 | 322,560 | 2 | 157,680,000 | 1 | 2 | 1 | LTO-8 | 2020-12-31 10:05:49 | MslStorageRobot01 |
| 3 | AJM281L8 | Append | 1 | 64,512 | 0 | 157,680,000 | 1 | 3 | 1 | LTO-8 | | MslStorageRobot01 |
| 4 | AJM282L8 | Append | 1 | 64,512 | 0 | 157,680,000 | 1 | 4 | 1 | LTO-8 | | MslStorageRobot01 |
| 5 | AJM280L8 | Append | 1 | 64,512 | 0 | 157,680,000 | 1 | 6 | 1 | LTO-8 | | MslStorageRobot01 |
| 6 | AJM287L8 | Append | 1 | 64,512 | 0 | 157,680,000 | 1 | 5 | 1 | LTO-8 | | MslStorageRobot01 |
| 7 | AJM283L8 | Append | 1 | 64,512 | 0 | 157,680,000 | 1 | 1 | 1 | LTO-8 | | MslStorageRobot01 |
+---------+------------+-----------+---------+----------+----------+--------------+---------+------+-----------+-----------+---------------------+-------------------+
Pool: Incremental
No results to list.
Pool: Full
No results to list.
Pool: Differential
No results to list.
You have messages.
*
Tagsstorage, volume
bareos-master: impact
bareos-master: action
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

progserega

progserega

2021-01-02 03:36

reporter  

dir-job-def.conf (348 bytes)
dir-job.conf (828 bytes)
dir-pool.conf (646 bytes)
dir-storage.conf (833 bytes)
sd-storage.conf (454 bytes)
sd-devices.conf (1,797 bytes)
progserega

progserega

2021-01-02 03:47

reporter   ~0004075

May be my configuration is wrong?
progserega

progserega

2021-05-22 02:36

reporter   ~0004131

I fix this problem:

1. Our engineers was use "veeam" for test MSL library before use bareos.
2. veeam write his label to tape.
3. After start bareos - it was can not mount this tape, because bareos wont his label. And bareos was can not rewrite label automaticaly.
4. Then I clear tabe by command: mt -f /dev/tape/by-id/scsi-351402ec01503fecb rewind; sleep 5; mt -f /dev/tape/by-id/scsi-351402ec01503fecb weof
5. And after that bareos can label this tape by command: label barcodes storage=MslStorageRobot02 pool=mslManualPool
6. After that bareos work with MSL properly.
progserega

progserega

2021-05-22 02:37

reporter   ~0004132

This bug can be close. Thank you.
arogge

arogge

2021-06-09 17:40

developer   ~0004146

You're using the wrong tape devices. You should be using the nst devices that do *not* rewind the tape everytime they're closed.
As you have overwritten your volume labels, you will need to delete the volumes from the catalog and relabel them after you reconfigured with the proper devices.

Hope that helps!
progserega

progserega

2021-06-10 08:47

reporter   ~0004151

Last edited: 2021-06-10 08:54

View 3 revisions

> You're using the wrong tape devices. You should be using the nst devices that do *not* rewind the tape everytime they're closed.

As I understand - I need change "Archive Device = /dev/tape/by-id/scsi-351402ec01503feb7" to "Archive Device = /dev/nstX" in /etc/bareos/bareos-sd.d/device/msl3040.conf on bareos-sd host?

As described in https://docs.bareos.org/Configuration/StorageDaemon.html#config-Sd_Device_ArchiveDevice

progserega

progserega

2021-06-10 09:11

reporter   ~0004152

Hmm... Do the director write in logs that it rewing tape? Or it will rewing only bewfore remove tape from reader?

For example in logs I do not see rewing command:

*list joblog jobid=64741
 2021-06-07 01:01:01 bareos-dir JobId 64741: Copying using JobId=64476 Job=backup-db-arms.rs.int-PostgresMonth.2021-06-05_21.05.00_57
 2021-06-07 01:01:01 bareos-dir JobId 64741: Bootstrap records written to /var/lib/bareos/bareos-dir.restore.4596.bsr
 2021-06-07 03:29:48 bareos-dir JobId 64741: Start Copying JobId 64741, Job=copy2msl-db-arms.rs.int-DbPoolMonth.2021-06-07_01.01.01_49
 2021-06-07 03:29:48 bareos-dir JobId 64741: Connected Storage daemon at bareos-fs-sd.rs.int:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
 2021-06-07 03:29:48 bareos-dir JobId 64741: Using Device "DbStorage" to read.
 2021-06-07 03:29:48 bareos-dir JobId 64758: Connected Storage daemon at 10.75.232.210:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
 2021-06-07 03:29:48 bareos-dir JobId 64758: Using Device "Msl-Drive-1" to write.
 2021-06-07 03:29:48 bareos-sd JobId 64741: Connected Storage daemon at 10.75.232.210:9103, encryption: TLS_CHACHA20_POLY1305_SHA256 TLSv1.3
 2021-06-07 03:29:48 bareos-sd JobId 64741: Ready to read from volume "db-arms.rs.int-DbPoolMonth-2021.03.20-5" on device "DbStorage" (/mnt/msa2040/backup/bareos//DbStorage).
 2021-06-07 03:29:48 bareos-sd JobId 64741: Forward spacing Volume "db-arms.rs.int-DbPoolMonth-2021.03.20-5" to file:block 0:147384641.
 2021-06-07 03:29:51 MslStorage JobId 64758: Releasing device "Msl-Drive-1" (/dev/tape/by-id/scsi-351402ec01503feb7).
 2021-06-07 03:29:53 MslStorage JobId 64758: Elapsed time=00:00:05, Transfer rate=41.50 M Bytes/second
 2021-06-07 03:29:53 bareos-sd JobId 64741: Releasing device "DbStorage" (/mnt/msa2040/backup/bareos//DbStorage).
 2021-06-07 03:29:53 bareos-dir JobId 64758: Insert of attributes batch table with 18 entries start
 2021-06-07 03:29:53 bareos-dir JobId 64758: Insert of attributes batch table done
 2021-06-07 03:29:53 bareos-dir JobId 64741: Bareos bareos-dir 20.0.1 (02Mar21):
  Build OS: Debian GNU/Linux 10 (buster)
  Prev Backup JobId: 64476
  Prev Backup Job: backup-db-arms.rs.int-PostgresMonth.2021-06-05_21.05.00_57
  New Backup JobId: 64758
  Current JobId: 64741
  Current Job: copy2msl-db-arms.rs.int-DbPoolMonth.2021-06-07_01.01.01_49
  Backup Level: Full
  Client: db-arms.rs.int-fd
  FileSet: "PostgresFileSet"
  Read Pool: "db-arms.rs.int-DbPoolMonth" (From Job resource)
  Read Storage: "DbStorage" (From Pool resource)
  Write Pool: "mslPool" (From Job Pool's NextPool resource)
  Write Storage: "MslStorageRobot01" (From Storage from Pool's NextPool resource)
  Next Pool: "mslPool" (From Job Pool's NextPool resource)
  Catalog: "MyCatalog" (From Default catalog)
  Start time: 07-июн-2021 03:29:48
  End time: 07-июн-2021 03:29:53
  Elapsed time: 5 secs
  Priority: 10
  SD Files Written: 18
  SD Bytes Written: 207,541,994 (207.5 MB)
  Rate: 41508.4 KB/s
  Volume name(s): AJM280L8
  Volume Session Id: 3530
  Volume Session Time: 1621656585
  Last Volume Bytes: 3,142,444,870,656 (3.142 TB)
  SD Errors: 0
  SD termination status: OK
  Bareos binary info: bareos.org build: Get official binaries and vendor support on bareos.com
  Job triggered by: User
  Termination: Copying OK
arogge

arogge

2021-06-10 10:34

developer   ~0004153

Bareos does not rewind the tape, your Operating System does. That's why you need to use the nst-device instead.
You should have /dev/tape/by-id/scsi-351402ec01503feb7-nst (which you should use) next to /dev/tape/by-id/scsi-351402ec01503feb7 (which you shouldn't use)

Issue History

Date Modified Username Field Change
2021-01-02 03:36 progserega New Issue
2021-01-02 03:36 progserega Tag Attached: storage
2021-01-02 03:36 progserega Tag Attached: volume
2021-01-02 03:36 progserega File Added: dir-job-def.conf
2021-01-02 03:36 progserega File Added: dir-job.conf
2021-01-02 03:36 progserega File Added: dir-pool.conf
2021-01-02 03:36 progserega File Added: dir-storage.conf
2021-01-02 03:36 progserega File Added: sd-storage.conf
2021-01-02 03:36 progserega File Added: sd-devices.conf
2021-01-02 03:47 progserega Note Added: 0004075
2021-05-22 02:36 progserega Note Added: 0004131
2021-05-22 02:37 progserega Note Added: 0004132
2021-06-09 17:40 arogge Assigned To => arogge
2021-06-09 17:40 arogge Status new => feedback
2021-06-09 17:40 arogge Note Added: 0004146
2021-06-10 08:47 progserega Note Added: 0004151
2021-06-10 08:47 progserega Status feedback => assigned
2021-06-10 08:48 progserega Note Edited: 0004151 View Revisions
2021-06-10 08:54 progserega Note Edited: 0004151 View Revisions
2021-06-10 09:11 progserega Note Added: 0004152
2021-06-10 10:34 arogge Status assigned => closed
2021-06-10 10:34 arogge Resolution open => no change required
2021-06-10 10:34 arogge Note Added: 0004153